function item035()

p = flag.GetBattleValue(33032)

	id = player.GetTargetPlayer()
	mid=battle.GetActingPlayerID()
		
	jiaxue=25
	if battle.CheckPlayerStat(mid,744)==1 then
	jiaxue=2
	elseif battle.CheckPlayerStat(mid,743)==1 then
	jiaxue=12
	end
	
	if id~=-1 then
		player.Relive(id)
		player.ChangeHP(1,0,id,jiaxue)
	if p==2 and id==32 then
		player.AddStat(0,id,100,704,99)
	end
	if p==1 and id==32 then
	    player.AddStat(0,id,100,703,99)
	end
	else
		id= player.GetTargetNpc()
		npc.ChangeHP(1,0,id,25)
	end
	
	if battle.CheckPlayerStat(mid,743)==0 and battle.CheckPlayerStat(mid,744)==0 then
	player.AddStat(1,0,9000,743,4)
	elseif battle.CheckPlayerStat(mid,743)==1 and battle.CheckPlayerStat(mid,744)==0 then
	player.RemoveStat(1,0,743)
	player.AddStat(1,0,9000,744,4)
	elseif battle.CheckPlayerStat(mid,744)==1 and battle.CheckPlayerStat(mid,743)==0 then
	player.RemoveStat(1,0,744)
	player.AddStat(1,0,9000,744,4)
	end
	
end